package com.dao;

import com.entity.XubaotongzhiEntity;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import java.util.List;
import java.util.Map;
import com.baomidou.mybatisplus.mapper.Wrapper;
import com.baomidou.mybatisplus.plugins.pagination.Pagination;

import org.apache.ibatis.annotations.Param;
import com.entity.vo.XubaotongzhiVO;
import com.entity.view.XubaotongzhiView;


/**
 * 续保通知
 * 
 * @author 
 * @email 
 * @date 2030-03-20 23:07:14
 */
public interface XubaotongzhiDao extends BaseMapper<XubaotongzhiEntity> {
	
	List<XubaotongzhiVO> selectListVO(@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);
	
	XubaotongzhiVO selectVO(@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);
	
	List<XubaotongzhiView> selectListView(@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);

	List<XubaotongzhiView> selectListView(Pagination page,@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);

	
	XubaotongzhiView selectView(@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);
	

    List<Map<String, Object>> selectValue(@Param("params") Map<String, Object> params,@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);

    List<Map<String, Object>> selectTimeStatValue(@Param("params") Map<String, Object> params,@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);

    List<Map<String, Object>> selectGroup(@Param("params") Map<String, Object> params,@Param("ew") Wrapper<XubaotongzhiEntity> wrapper);



}
